nfsstat(8)

NUME
nfsstat - listează statisticile NFS

SINOPSIS
nfsstat [OPȚIUNE]...

DESCRIERE
nfsstat afișează statisticile păstrate despre activitatea clienților și a serverelor NFS.

OPȚIUNI

-s, --server
    Afișează numai statisticile din partea serverului. Valoarea implicită este de a imprima atât statisticile serverului, cât și cele ale clientului.

-c, --client
    Afișează numai statisticile din partea clientului.

-n, --nfs
    Afișează numai statisticile NFS. Valoarea implicită este de a imprima atât informațiile NFS, cât și cele RPC.

-2  Afișează numai statisticile NFS v2. Valoarea implicită este de a afișa doar informații despre versiunile de NFS care au un număr diferit de zero.

-3  Afișează numai statisticile NFS v3. Valoarea implicită este de a afișa doar informații despre versiunile de NFS care au un număr diferit de zero.

-4  Afișează numai statisticile NFS v4. Valoarea implicită este de a afișa doar informații despre versiunile de NFS care au un număr diferit de zero.

-m, --mounts
    Afișează informații despre fiecare dintre sistemele de fișiere NFS montate.

    În cazul în care se utilizează această opțiune, toate celelalte opțiuni sunt ignorate.

-r, --rpc
    Afișează numai statisticile RPC.

-o facilitatea
    Afișează statisticile pentru facilitatea specificată, care trebuie să fie una dintre următoarele:

    nfs Informații despre protocolul NFS, împărțite în funcție de apelul RPC.

    rpc Informații generale RPC.

    net Statistici privind traficul de rețea, cum ar fi numărul de pachete primite, numărul de conexiuni TCP etc.

    fh  Informații privind utilizarea memoriei cache a gestionării fișierelor de pe server, inclusiv numărul total de căutări și numărul de rezultate pozitive și negative.

    rc  Informații de utilizare privind memoria cache de răspuns la cerere a serverului, inclusiv numărul total de căutări și numărul de rezultate pozitive și negative.

    io  Informații de utilizare privind statisticile de In/Ieș ale serverului; numărul de octeți citiți și scriși.

    ra  Informații de utilizare cu privire la memoria cache de citire anticipată a serverului, inclusiv dimensiunea cache-ului ra, adâncimea accesărilor cache-ului ra și a ratărilor cache-ului ra.

    all Afișează toate facilitățile de mai sus.

-v, --verbose
    Aceasta este echivalentă cu -o all.

-l, --list
    Afișează informațiile sub formă de listă.

-S, --since filșier
    În loc să afișeze statisticile curente, nfsstat importă statistici din fișier și afișează diferența dintre acestea și statisticile curente. Fișierele fișier valide de intrare pot fi sub forma /proc/net/rpc/nfs (statistici brute ale clientului), /proc/net/rpc/nfsd (statistici brute ale serverului) sau ieșirea salvată din nfsstat însuși (statistici ale clientului și/sau ale serverului). Toate statisticile care lipsesc dintr-o ieșire nfsstat salvată fișier sunt tratate ca zerouri.

-Z[interval], --sleep=[interval]
    În loc să afișeze statisticile curente și să iasă imediat, nfsstat face o instantanee a statisticilor curente și se oprește până când primește SIGINT (de obicei de la Ctrl-C), moment în care face o altă instantanee și afișează diferența dintre cele două. Dacă este specificat interval, nfsstat va afișa numărul de apeluri NFS efectuate de la raportul anterior. Statisticile vor fi afișate în mod repetat la fiecare interval secunde.

EXEMPLE

nfsstat -o all -234
    Afișează toate informațiile despre toate versiunile de NFS.

nfsstat --verbose -234
    La fel ca mai sus.

nfsstat -o all
    Afișează toate informațiile despre versiunile active ale NFS.

nfsstat --nfs --server -3
    Afișează statisticile pentru serverul NFS versiunea 3.

nfsstat -m
    Afișează informații despre sistemele de fișiere NFS montate.

DISPLAY
fanioanele de la opțiunea -m sunt aceleași ca și fanioanele date la comanda mount.

FIȘIERE

/proc/net/rpc/nfsd
    Interfață bazată pe procfs pentru statisticile serverului NFS din nucleu.

/proc/net/rpc/nfs
    Interfață bazată pe procfs pentru statisticile clienților NFS din nucleu.

/proc/mounts
    Interfață bazată pe procfs pentru sistemele de fișiere montate.

CONSULTAȚI ȘI
rpc.nfsd(8). nfs(5).

ERORI
Ieșirea implicită a fost modificată. Pentru a obține vechea ieșire implicită, trebuie să rulați nfsstat --auto -2.

Funcția opțiunilor -v și -a s-a schimbat. Opțiunea -a este acum rezervată pentru utilizare viitoare. -v face ceea ce făcea opțiunea -a, iar noile opțiuni -[234] înlocuiesc opțiunea -v.

Secțiunea Display ar trebui să fie mai completă.

Erorile pot fi găsite sau raportate la http://nfs.sf.net/.

AUTOR
Olaf Kirch, <okir@suse.de>

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.